apiVersion: compute.cnrm.cloud.google.com/v1beta1
kind: ComputeFirewall
metadata:
  annotations:
    cnrm.cloud.google.com/project-id: {{ include "svpc.projectId" . }}
  name: {{ include "svpc.projectId" . }}-asm-multicluster-pods
spec:
  allow:
  - protocol: tcp
  - protocol: udp
  - protocol: icmp
  - protocol: esp
  - protocol: ah
  - protocol: sctp
  description: Allow multi-cluster discovery for Anthos Service Mesh
  direction: INGRESS
  networkRef:
    name: {{ include "svpc.projectId" . }}
  priority: 900
  sourceRanges:
  - 172.16.0.0/13
  targetTags:
  - asm-multi-cluster
